# Interesting - Brazilian Fixed Income Titles

## Overview

The `interesting` Python package is a specialized toolkit for dealing with Brazilian fixed income titles. It provides functionalities to build, analyze, visualize, and valuate various types of fixed income instruments and portfolios made thereof.

There is a

## Features

- **Build**: Build cashflows from fixed income definitions.
- **Analytics**: Performing analytical calculations such as valuation (XXX one day also yield calculations, duration, convexity, etc).
- **Visualization**: Visualizing fixed income data through plots and charts.
- **Portfolio Management**: Tools for managing fixed income portfolios.
- **Risk Assessment**: Basic risk assessment (plot against FGC limit).

## Installation

This package in on PyPi, and hence you may install the `interesting` package via pip:

```bash
pip install interesting
```

# A few nice things
- `interesting` classes are powered by `pydantic` to guarantee proper input validation.
- `interesting` is kept neat using `ruff`.
- `interesting` is kept functional using `pytest` and `coverage`.
- `interesting` is managed using GitHub actions.
- `interesting` is kept safe using: XXX (to be developed).
